# Uses of Class
it.tdlight.jni.TdApi.CallDiscardReason

## Uses of TdApi.CallDiscardReason in it.tdlight.jni

Subclasses of TdApi.CallDiscardReason in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.CallDiscardReasonDeclined`
The call was ended before the conversation started.
`static final class`
`TdApi.CallDiscardReasonDisconnected`
The call was ended during the conversation because the users were disconnected.
`static final class`
`TdApi.CallDiscardReasonEmpty`
The call wasn't discarded, or the reason is unknown.
`static final class`
`TdApi.CallDiscardReasonHungUp`
The call was ended because one of the parties hung up.
`static final class`
`TdApi.CallDiscardReasonMissed`
The call was ended before the conversation started.
Fields in it.tdlight.jni declared as TdApi.CallDiscardReason
Modifier and Type
Field
Description
`TdApi.CallDiscardReason`
TdApi.MessageCall.`discardReason`
Reason why the call was discarded.
`TdApi.CallDiscardReason`
TdApi.CallStateDiscarded.`reason`
The reason why the call has ended.
Constructors in it.tdlight.jni with parameters of type TdApi.CallDiscardReason
Modifier
Constructor
Description
``
`CallStateDiscarded(TdApi.CallDiscardReason reason, boolean needRating, boolean needDebugInformation, boolean needLog)`
The call has ended successfully.
``
`MessageCall(boolean isVideo, TdApi.CallDiscardReason discardReason, int duration)`
A message with information about an ended call.